// --- Global variables ---

/**
 * Logger
 */
var logger = Components.classes["@mozilla.org/consoleservice;1"].
  getService(Components.interfaces.nsIConsoleService);

/**
 * WSDL listener for security webservice.
 *
 * @author Cedric Chantepie (cchantepie@corsaire.fr)
 */
// --- Constructors ---

/**
 * On load handler.
 */
WebServiceCreationListener.prototype.onLoad = function(wsProxy) {
  this.delegate.delegatee = wsProxy;

  this.delegate.delegatee.setListener(this.delegate.handler);

  if (this.delegate.handler.onWebserviceReady) {
    this.delegate.handler.onWebserviceReady(this.delegate);
  } // end of if
}; // end of onLoad  

// --- Properties ---

WebServiceCreationListener.prototype.delegate = null;

/**
 * On error handler.
 */
WebServiceCreationListener.prototype.onError = function(error) {
  logger.logStringMessage("{iPage} [WebServiceCreationListener] onError#error=" + error);
  logger.logStringMessage("{iPage} [WebServiceCreationListener] onError#error.message=" + error.message);
}; // end of onError

/**
 * Constructor.
 *
 * @delegate Associated delegate.
 */
function WebServiceCreationListener(delegate) {
  if ((typeof delegate.delegatee) == "undefined") {
    throw new Error("{iPage} [WebServiceCreationListener] <init> " +
		    "Webservice delegate (argument) \"" + delegate + "\" must have a delegatee " +
		    "property (webservice proxy)");

  } // end of if

  this.delegate = delegate;
} // end of <init>
